Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  VBA Problem mit Excel

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   VBA Problem mit Excel (2004 mal gelesen)
Knigg
Mitglied
Dipl.Ing. Maschinenbau

Sehen Sie sich das Profil von Knigg an!   Senden Sie eine Private Message an Knigg  Schreiben Sie einen Gästebucheintrag für Knigg

Beiträge: 3
Registriert: 09.12.2011

erstellt am: 09. Dez. 2011 15:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo erst mal.

Ich hab ein Problem mit meinem Makro. Ich möchte für Excel einen Buton Programmieren, der mir wenn ich ihn in meinem Konstruktionskatalog anklicke das entsprechende Teil ausgibt und zwar in einer vorher nicht näher definierten Baugruppe. Das MAkro steht soweit und funktioniert auch wenn ich es direkt über Solid ablaufen lasse. Füge ich es allerdings in Excel bei meinem Button ein funktioniert es nicht. Das Makro sieht folgendermaßen aus. Vielen Dank schon mal im Vorraus

Dim swApp As SldWorks.SldWorks
Dim Assembly As SldWorks.AssemblyDoc
Dim swNewMod As SldWorks.ModelDoc2
Dim swMod As SldWorks.ModelDoc2
Dim boolstatus As Boolean
Dim iErrors As Long, iWarnings As Long

Sub main()

Set swApp = CreateObject("SldWorks.Application")

Dim iOptions As Long

iOptions = swOpenDocOptions_e.swOpenDocOptions_Silent Or swOpenDocOptions_e.swOpenDocOptions_DontLoadHiddenComponents

Set swMod = swApp.ActiveDoc

If swMod.GetType <> swDocASSEMBLY Then

    MsgBox "active doc must be assy"

    Exit Sub

End If

Set Assembly = swMod

swApp.DocumentVisible False, swDocPART

Set swNewMod = swApp.OpenDoc6("i:\....", swDocPART, iOptions, "", iErrors, iWarnings)

swApp.DocumentVisible True, swDocPART

If swNewMod Is Nothing Then

    MsgBox "failed "

    Exit Sub

End If

boolstatus = Assembly.AddComponent("i:\....", 0, 0, 0)

swMod.EditRebuild3

End Sub

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lutz Federbusch
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von Lutz Federbusch an!   Senden Sie eine Private Message an Lutz Federbusch  Schreiben Sie einen Gästebucheintrag für Lutz Federbusch

Beiträge: 3084
Registriert: 03.12.2001

alle SW seit 97+
AutoCAD2016
ERP ProAlpha + CA-Link
Intel Core i7 860 16GB
Win7x64 QuadroFX1800
SpacePilot

erstellt am: 09. Dez. 2011 16:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Knigg 10 Unities + Antwort hilfreich

Edit: Stimmt doch, im SolidWorks läuft Deins.

Aber das hier müßte auch im Excel gehen:
.
        Dim swApp As Object
        Dim Assembly As Object
        Dim swNewMod As Object
        Dim swMod As Object
            Const swDocPart = 1
            Const swDocAssembly = 2
Sub main()
    Set swApp = CreateObject("SldWorks.Application")
    Set swMod = swApp.ActiveDoc
    If swMod.GetType <> swDocAssembly Then
        MsgBox "active doc must be assy"
        Exit Sub
    End If
    Set Assembly = swMod
    swApp.DocumentVisible False, swDocPart
    Set swNewMod = swApp.OpenDoc("z:\Beispielteil2009.SLDPRT", swDocPart)
    swApp.DocumentVisible True, swDocPart
    If swNewMod Is Nothing Then
        MsgBox "failed "
        Exit Sub
    End If
    boolstatus = Assembly.AddComponent("z:\Beispielteil2009.SLDPRT", 0, 0, 0)
    swMod.EditRebuild3
End Sub

------------------
Lutz Federbusch
Mein Gästebuch
Der Mensch, Herr oder Sklave der Technik?

[Diese Nachricht wurde von Lutz Federbusch am 09. Dez. 2011 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Knigg
Mitglied
Dipl.Ing. Maschinenbau

Sehen Sie sich das Profil von Knigg an!   Senden Sie eine Private Message an Knigg  Schreiben Sie einen Gästebucheintrag für Knigg

Beiträge: 3
Registriert: 09.12.2011

erstellt am: 09. Dez. 2011 16:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

leider nicht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lutz Federbusch
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von Lutz Federbusch an!   Senden Sie eine Private Message an Lutz Federbusch  Schreiben Sie einen Gästebucheintrag für Lutz Federbusch

Beiträge: 3084
Registriert: 03.12.2001

alle SW seit 97+
AutoCAD2016
ERP ProAlpha + CA-Link
Intel Core i7 860 16GB
Win7x64 QuadroFX1800
SpacePilot

erstellt am: 09. Dez. 2011 17:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Knigg 10 Unities + Antwort hilfreich


TeilEinbauen.zip

 
Bei mir schon     Siehe Video...
Welches Excel hast Du?  Ist Excel "beschäftigt"? Stimmen bei Dir Pfad&Dateiname?!
Hast Du noch andere SolidWorks-Versionen installiert oder gar laufen? Ist im Taskmanager mehr als eine sldworks.exe aktiv?!

Edit: Habe nochmal Dateien getauscht. Da war noch ein Fehler dabei... =>
------------------
Lutz Federbusch
Mein Gästebuch
Der Mensch, Herr oder Sklave der Technik?

[Diese Nachricht wurde von Lutz Federbusch am 09. Dez. 2011 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Knigg
Mitglied
Dipl.Ing. Maschinenbau

Sehen Sie sich das Profil von Knigg an!   Senden Sie eine Private Message an Knigg  Schreiben Sie einen Gästebucheintrag für Knigg

Beiträge: 3
Registriert: 09.12.2011

erstellt am: 09. Dez. 2011 18:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hi danke werd das weiterleiten, da heut mein letzter Tag war 

viele Grüße
Knigg

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

startrek
Mitglied
Architekt


Sehen Sie sich das Profil von startrek an!   Senden Sie eine Private Message an startrek  Schreiben Sie einen Gästebucheintrag für startrek

Beiträge: 1361
Registriert: 13.02.2003

Win7, ACA2010

erstellt am: 10. Dez. 2011 01:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Knigg 10 Unities + Antwort hilfreich

... autsch! - Knigg das war jetzt aber nicht ganz a'la Knigg(e)... 

trekkie

[Diese Nachricht wurde von startrek am 10. Dez. 2011 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz